Discussion on Rhythm - Drupal 7, 8 Multipurpose Commerce theme

Discussion on Rhythm - Drupal 7, 8 Multipurpose Commerce theme

Cart 1,382 sales
Well Documented

NikaDevs supports this item

Supported

This author's response time can be up to 2 business days.

263 comments found.

Hello, my host doesnt support php 7.x anymore so I can’t use drupal 7 or drupal 8 on my host (I have one.com and Lws.fr) both are stopping php 7.x and I get everytime error with the php. Does your template support drupal 9 ?

Hello, I bought an older version of this theme and need some support updating the site and modules. I want the design to stay the same, I am aiming to update my site content. Do I purchase support or do I need to buy the newer theme?

This is my site url www.anguswong.ca

thanks, angus

Good afternoon.

I am interested in purchasing your theme. Does it run on the most recent Drupal 9 version?

Hi, I purchased the Rythym theme for my Drupal 9 site. After installing it, I can’t find the “special demos” pages on my site. But it shows on your demo page http://rhythm.nikadevs.com/intro.html#special-demos

Can you please tell me how I can get the special demos for my theme?

That was the main reason I bought this theme.

Thanks

Hello. I have this error on Drupal9.

I followed all the instructions and does not work.

The website encountered an unexpected error. Please try again later. PDOException: SQLSTATEHY000 php_network_getaddresses: getaddrinfo failed: Temporary failure in name resolution in Drupal\Component\DependencyInjection\PhpArrayContainer->createService() (line 79 of /var/www/escueladepadres/web/core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php). Drupal\Component\DependencyInjection\PhpArrayContainer->createService() (Line: 176) Drupal\Component\DependencyInjection\Container->get() (Line: 212) Drupal\Component\DependencyInjection\PhpArrayContainer->resolveServicesAndParameters() (Line: 62) Drupal\Component\DependencyInjection\PhpArrayContainer->createService() (Line: 176) Drupal\Component\DependencyInjection\Container->get() (Line: 550) Drupal\Core\DrupalKernel->getCachedContainerDefinition() (Line: 895) Drupal\Core\DrupalKernel->initializeContainer() (Line: 472) Drupal\Core\DrupalKernel->boot() (Line: 708) Drupal\Core\DrupalKernel->handle() (Line: 19)

karkojk

karkojk Purchased

Hello, I’m looking at the comments around the problems with the template on Drupal 9. I haven’t updated from version 8 yet, so I wanted to ask when it will be functional, if and for how much should I update?

Thank you and have a nice day

Jiri Karkos

Hello, Your demo-site is not working. Is it compatible with the latest Drupal 9 version?

Hi NikaDevs, I purchased Rhythm and I am having trouble installing this theme. I noticed that it is packaged almost as if it is supposed to overwrite an entire drupal site. Can you shed some light on how I can add this newly purchased theme as one of my available themes to install on my drupal site? It wont let me upload the zip file into Appearance as it is “too large.” Please help. Thanks!

Hi,i want to buy this nice theme. My website is on Drupal 9.3.13 the latest version. Is this theme seamless integration for Drupal Ver. 9.3.13? Thanks for your reliable answer.

tbuell

tbuell Purchased

I find it impossible to get this theme working. The documentation is rather incomplete and the language difficut to make sense of. Anyway, last time I tried to install the theme, I get this error: (see below). WHY is this happening and how to fix? Thanks Tim Additional uncaught exception thrown while handling exception. Original Drupal\Core\Extension\InfoParserException: Unable to parse modules/custom/nikadevs_cms/nikadevs_cms.info.yml Duplicate key “core” detected at line 7 (near “core: “8.x”“). in Drupal\Core\Extension\InfoParserDynamic->parse() (line 53 of /app/core/lib/Drupal/Core/Extension/InfoParserDynamic.php).

Drupal\Core\Extension\InfoParserDynamic->parse(‘modules/custom/nikadevs_cms/nikadevs_cms.info.yml’) (Line: 22) Drupal\Core\Extension\InfoParser->parse(‘modules/custom/nikadevs_cms/nikadevs_cms.info.yml’) (Line: 90) drupal_required_modules() (Line: 1132) install_profile_info(‘demo_umami’) (Line: 1295) _install_select_profile(Array) (Line: 462) install_begin_request(Object, Array) (Line: 116) install_drupal(Object) (Line: 48) Additional Error: Call to undefined function Drupal\Core\Render\system_page_attachments() in Drupal\Core\Render\BareHtmlPageRenderer->renderBarePage() (line 65 of /app/core/lib/Drupal/Core/Render/BareHtmlPageRenderer.php).

Drupal\Core\Render\BareHtmlPageRenderer->renderBarePage(Array, ‘Error’, ‘install_page’, Array) (Line: 76) Drupal\Core\ProxyClass\Render\BareHtmlPageRenderer->renderBarePage(Array, ‘Error’, ‘install_page’, Array) (Line: 1058) install_display_output(Array, Array) (Line: 271) _drupal_log_error(Array, 1) (Line: 364) _drupal_exception_handler(Object)

iso65

iso65 Purchased

hello—are you still supporting this the Rhythm theme for Drupal9? i would like to stay with this theme as i move from Drupal7 to Drupal9. i have noticed some comments indicating that support for Drupal9 might be spotty and that you might have lost some development resources. i would be will to contribute more to our license to get a better supported product. thanks, ~cam.

iso65

iso65 Purchased

hi Nika – i would be willing to pay up to $5000US for a working Drupal 9 theme if you could provide and support that. is this an option for you?

It looks like your theme is not compatible with Drupal 9. If no solution please issue refund.

Hi. Sorry, I currently moved from Ukraine and we couldn’t provide support. Please ask for refund here https://themeforest.net/refund_requests/new

tbuell

tbuell Purchased

Hi, Every time I try to unzip/extract the zipped theme file, I get a number of errors stating the extractor is unable to make sense of the file. Have others experienced this? Do you know why? What would you suggest Thanks Tim

Hi. Which errors did you get? Could you try to use another zip application? Thanks

Hello,

In addition to my previous message where I asked for theme_only folder for Drupal 9, bellow are the issues I run into with installing Full Drupal 9 site with the files and SQL provided in the download. I tried to set it up on a web server where I have multiple Drupal 8 and 9 websites. Something is not right with your project.

Full Drupal 9 installation on PHP 7.4

After initial installation i received this error:

The website encountered an unexpected error. Please try again later. PDOException: SQLSTATEHY000 php_network_getaddresses: getaddrinfo failed: Name or service not known in Drupal\Component\DependencyInjection\PhpArrayContainer->createService() (line 79 of /home/ukwebdes/rhythm.mallorca.eco/web/core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php). Drupal\Component\DependencyInjection\PhpArrayContainer->createService(Array, ‘database’) (Line: 176) Drupal\Component\DependencyInjection\Container->get(‘database’, 1) (Line: 212) Drupal\Component\DependencyInjection\PhpArrayContainer->resolveServicesAndParameters(Array) (Line: 62) Drupal\Component\DependencyInjection\PhpArrayContainer->createService(Array, ‘cache.container’) (Line: 176) Drupal\Component\DependencyInjection\Container->get(‘cache.container’) (Line: 549) Drupal\Core\DrupalKernel->getCachedContainerDefinition() (Line: 894) Drupal\Core\DrupalKernel->initializeContainer() (Line: 472) Drupal\Core\DrupalKernel->boot() (Line: 707) Drupal\Core\DrupalKernel->handle(Object) (Line: 19)

I followed your recommended steps to fix errors by running composer update. It has installed and upgraded many things. The only error message I received in Terminal was: 

Could not apply patch! Skipping. The error was: Cannot apply patch https://www.drupal.org/files/issues/2021-12-13/3253568-32.patch [Exception]   Cannot apply patch Error: Cannot use object of type Drupal\Core\Render\Markup as array in Drupal\Core\Render\Renderer->doRende   r() (https://www.drupal.org/files/issues/2021-12-13/3253568-32.patch)!

The above didn’t fix the error. Same error message as I mentioned on the top of this email: The website encountered an unexpected error. Please try again later. PDOException: SQLSTATEHY000 php_network_getaddresses: getaddrinfo failed: Name or service not known in Drupal\Component\DependencyInjection\PhpArrayContainer->createService() (line 79 of /home/ukwebdes/rhythm.mallorca.eco/web/core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php).

Then I followed your next steps - remove the vendor and core directory and the composer.lock file, and run this command again.

After that the site just returns HTTP ERROR 500 I followed your instructions very carefully multiple times with the same result.

It looks like your theme is not compatible with Drupal 9. If no solution please issue refund

Hello,

In addition to my previous message where I asked for theme_only folder for Drupal 9 bellow are the issues I run into with installing Full Drupal 9 site with the files and SQL provided in the download. I tried to set it up on a web server where I have multiple Drupal 8 and 9 websites. Something is not right.

Full Drupal 9 installation on PHP 7.4

After initial installation i received this error:

The website encountered an unexpected error. Please try again later. PDOException: SQLSTATEHY000 php_network_getaddresses: getaddrinfo failed: Name or service not known in Drupal\Component\DependencyInjection\PhpArrayContainer->createService() (line 79 of /home/ukwebdes/rhythm.mallorca.eco/web/core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php). Drupal\Component\DependencyInjection\PhpArrayContainer->createService(Array, ‘database’) (Line: 176) Drupal\Component\DependencyInjection\Container->get(‘database’, 1) (Line: 212) Drupal\Component\DependencyInjection\PhpArrayContainer->resolveServicesAndParameters(Array) (Line: 62) Drupal\Component\DependencyInjection\PhpArrayContainer->createService(Array, ‘cache.container’) (Line: 176) Drupal\Component\DependencyInjection\Container->get(‘cache.container’) (Line: 549) Drupal\Core\DrupalKernel->getCachedContainerDefinition() (Line: 894) Drupal\Core\DrupalKernel->initializeContainer() (Line: 472) Drupal\Core\DrupalKernel->boot() (Line: 707) Drupal\Core\DrupalKernel->handle(Object) (Line: 19)

I followed your recommended steps to fix errors by running composer update. It has installed and upgraded many things. The only error message I received in Terminal was: 

Could not apply patch! Skipping. The error was: Cannot apply patch https://www.drupal.org/files/issues/2021-12-13/3253568-32.patch [Exception]   Cannot apply patch Error: Cannot use object of type Drupal\Core\Render\Markup as array in Drupal\Core\Render\Renderer->doRende   r() (https://www.drupal.org/files/issues/2021-12-13/3253568-32.patch)!

The above didn’t fix the error. Same error message as I mentioned on the top of this email:

The website encountered an unexpected error. Please try again later. PDOException: SQLSTATEHY000 php_network_getaddresses: getaddrinfo failed: Name or service not known in Drupal\Component\DependencyInjection\PhpArrayContainer->createService() (line 79 of /home/ukwebdes/rhythm.mallorca.eco/web/core/lib/Drupal/Component/DependencyInjection/PhpArrayContainer.php).

Then I followed your next steps - remove the vendor and core directory and the composer.lock file, and run this command again.

After that the site just returns HTTP ERROR 500 I followed your instructions very carefully multiple times with the same result.

Please advise Regards, Jacek

Hello,

I just bought this theme. Thank you. In the fileset for Drupal 9 there is no folder – theme_only which I was looking for. Can you please provide this?

Regards, Jacek

Dobrý den, žádal jsem vás o vrácení peněz. dosud se tak nestalo. Slavos Leoswald Vecerni Praha

Hi! We have a problem: NOTICE: UNDEFINED VARIABLE: PAGER В ФУНКЦИИ INCLUDE (СТРОКА 33 В ФАЙЛЕ .RU/PUBLIC_HTML/SITES/ALL/THEMES/RHYTHM/TEMPLATES/VIEWS-VIEW-GRID—PORTFOLIO-ISOTOPE.TPL.PHP). NOTICE: UNDEFINED VARIABLE: ATTACHMENT_AFTER В ФУНКЦИИ INCLUDE (СТРОКА 37 В ФАЙЛЕ .RU/PUBLIC_HTML/SITES/ALL/THEMES/RHYTHM/TEMPLATES/VIEWS-VIEW-GRID—PORTFOLIO-ISOTOPE.TPL.PHP). NOTICE: UNDEFINED VARIABLE: MORE В ФУНКЦИИ INCLUDE (СТРОКА 43 В ФАЙЛЕ .RU/PUBLIC_HTML/SITES/ALL/THEMES/RHYTHM/TEMPLATES/VIEWS-VIEW-GRID—PORTFOLIO-ISOTOPE.TPL.PHP). NOTICE: UNDEFINED VARIABLE: FOOTER В ФУНКЦИИ INCLUDE (СТРОКА 47 В ФАЙЛЕ .RU/PUBLIC_HTML/SITES/ALL/THEMES/RHYTHM/TEMPLATES/VIEWS-VIEW-GRID—PORTFOLIO-ISOTOPE.TPL.PHP). NOTICE: UNDEFINED VARIABLE: FEED_ICON В ФУНКЦИИ INCLUDE (СТРОКА 53 В ФАЙЛЕ .RU/PUBLIC_HTML/SITES/ALL/THEMES/RHYTHM/TEMPLATES/VIEWS-VIEW-GRID—PORTFOLIO-ISOTOPE.TPL.PHP).

I installed the Drupal 9 version and I’m having a million problems, am I the only one? what is the best path forward to get this theme to work effectively for D9

Hi. I’m sorry for these problems – my developer left me, due to the very low sales. I’m still looking for a new support agent. Could you please ask for refund and I will approve it https://themeforest.net/refund_requests/new Thanks

after the update of TB Megamenu we have a problem with custom shortcodes—class not found TO FIX comment out line 128 in /web/modules/custom/rhythm_shortcodes/src/Plugin/Shortcode/MenuShortcode.php //’#post_render’ => array(‘tb_megamenu_attach_number_columns’)

by
by
by
by
by
by

Tell us what you think!

We'd like to ask you a few questions to help improve ThemeForest.

Sure, take me to the survey